com.qualcomm.ftccommon

## Class FtcLynxModuleAddressUpdateActivity.DisplayedModule

- java.lang.Object
- - com.qualcomm.ftccommon.FtcLynxModuleAddressUpdateActivity.DisplayedModule

- Enclosing class:
    FtcLynxModuleAddressUpdateActivity

      protected class FtcLynxModuleAddressUpdateActivity.DisplayedModule
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayedModule(View view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentAddress()`
    `protected FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName` | `getItem(int position)`
    `SerialNumber` | `getSerialNumber()`
    `int` | `getStartingAddress()`
    `void` | `initialize(USBAccessibleLynxModule module, java.util.List<java.lang.Integer> addresses)`
    `protected void` | `initializeSpinnerList(Spinner spinner, java.util.List<java.lang.Integer> addresses, boolean changeable)`
    `protected void` | `selectNoChange()`
    `void` | `setNewAddress(int newAddress)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayedModule

          public DisplayedModule(View view)

  - ### Method Detail

    - #### getSerialNumber

          public SerialNumber getSerialNumber()

    - #### initialize

          public void initialize(USBAccessibleLynxModule module,
                                 java.util.List<java.lang.Integer> addresses)

    - #### setNewAddress

          public void setNewAddress(int newAddress)

    - #### selectNoChange

          protected void selectNoChange()

    - #### getItem

          protected FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName getItem(int position)

    - #### getCurrentAddress

          public int getCurrentAddress()

    - #### getStartingAddress

          public int getStartingAddress()

    - #### initializeSpinnerList

          protected void initializeSpinnerList(Spinner spinner,
                                               java.util.List<java.lang.Integer> addresses,
                                               boolean changeable)